Bug Hunting Session
Bug 82695 - Libreoffice use only bundled components when building ftgl
Summary: Libreoffice use only bundled components when building ftgl
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.3.0.4 release
Hardware: Other All
: medium major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-08-16 07:48 UTC by Tomáš Chvátal
Modified: 2015-04-13 14:45 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomáš Chvátal 2014-08-16 07:48:00 UTC
Usage of ftgl requires several bundled tarballs:

ADDONS_SRC+=" ${ADDONS_URI}/4b87018f7fff1d054939d19920b751a0-collada2gltf-master-cb1d97788a.tar.bz2"
ADDONS_SRC+=" ${ADDONS_URI}/OpenCOLLADA-master-6509aa13af.tar.bz2"
ADDONS_SRC+=" ${ADDONS_URI}/libgltf/3d9ea1f2828c46f8ba94b88a87b3326d-libgltf-0.0.0.tar.bz2"

These should be possible to be build separately and libreoffice should allow its usage. Otherwise no linux distros will provide this.
Comment 1 Robinson Tryon (qubit) 2014-08-17 01:36:20 UTC
(In reply to comment #0)
> Usage of ftgl requires several bundled tarballs:
> 
> ADDONS_SRC+="
> ${ADDONS_URI}/4b87018f7fff1d054939d19920b751a0-collada2gltf-master-
> cb1d97788a.tar.bz2"
> ADDONS_SRC+=" ${ADDONS_URI}/OpenCOLLADA-master-6509aa13af.tar.bz2"
> ADDONS_SRC+="
> ${ADDONS_URI}/libgltf/3d9ea1f2828c46f8ba94b88a87b3326d-libgltf-0.0.0.tar.bz2"
> 
> These should be possible to be build separately and libreoffice should allow
> its usage. Otherwise no linux distros will provide this.

Bjoern -- What do you think about these bundled components. Should we provide the ability to build these separately?
Comment 2 andreas.sturmlechner 2014-08-31 20:13:58 UTC
I have taken the patch from commit 2378f45d70c9ce4a093fd6b09216c1cd4563ebe2 to build with system libgltf, however had to revert these parts of the patch concerning avmedia/source/opengl/ogl{framegrabber,player,window}.hxx in order to succeed:

+#ifdef SYSTEM_LIBGLTF
+#include <libgltf/libgltf.h>
+#else
#include <libgltf.h>
+#endif

http://cgit.freedesktop.org/libreoffice/core/commit/?h=libreoffice-4-3&id=2378f45d70c9ce4a093fd6b09216c1cd4563ebe2
Comment 3 Tamás Zolnai 2014-09-05 07:35:35 UTC
Now --with-system-libgltf is available thank to Rene Engelhard both on master and libreoffice-4.3 branch.
Collada libraries still are boundled only, but there is an other option to disable collada libraries only (not libgltf):
http://cgit.freedesktop.org/libreoffice/core/commit/?h=libreoffice-4-3&id=6d239ee19a4b1d9068fbd04b5a692c859142f613
Comment 4 Tamás Zolnai 2014-09-05 07:42:04 UTC
(In reply to comment #2)
> I have taken the patch from commit 2378f45d70c9ce4a093fd6b09216c1cd4563ebe2
> to build with system libgltf, however had to revert these parts of the patch
> concerning avmedia/source/opengl/ogl{framegrabber,player,window}.hxx in
> order to succeed:
> 
> +#ifdef SYSTEM_LIBGLTF
> +#include <libgltf/libgltf.h>
> +#else
> #include <libgltf.h>
> +#endif
> 
> http://cgit.freedesktop.org/libreoffice/core/commit/?h=libreoffice-4-
> 3&id=2378f45d70c9ce4a093fd6b09216c1cd4563ebe2

Which libgltf version do you use? These defines were necessary only for libgltf-0.0.0, but the current version (0.0.1) use simpler include path (<libgltf.h>).

See libgltf-0.0.1 integration:
http://cgit.freedesktop.org/libreoffice/core/commit/?h=libreoffice-4-3&id=d431986bd49081581e86444af124d1d2ce90a407
Comment 5 Tamás Zolnai 2014-09-05 07:53:36 UTC
(In reply to comment #3)
> Now --with-system-libgltf is available thank to Rene Engelhard both on
> master and libreoffice-4.3 branch.
> Collada libraries still are boundled only, but there is an other option to
> disable collada libraries only (not libgltf):
> http://cgit.freedesktop.org/libreoffice/core/commit/?h=libreoffice-4-
> 3&id=6d239ee19a4b1d9068fbd04b5a692c859142f613

The option is --disable-collada and with that you can make LibreOffice not to support COLLADA and KMZ formats, but support glTF format.
Comment 6 andreas.sturmlechner 2014-09-05 19:55:44 UTC
(In reply to comment #4)
> Which libgltf version do you use? These defines were necessary only for
> libgltf-0.0.0, but the current version (0.0.1) use simpler include path
> (<libgltf.h>).
> 
> See libgltf-0.0.1 integration:
> http://cgit.freedesktop.org/libreoffice/core/commit/?h=libreoffice-4-
> 3&id=d431986bd49081581e86444af124d1d2ce90a407

0.0.1 indeed, and I've already spotted the followup patches for the bump and collada to include them in my local copy - thx for the work :)
Comment 7 David Tardon 2015-02-01 14:31:43 UTC
AFAIK this has been fixed.
Comment 8 andreas.sturmlechner 2015-02-01 16:22:57 UTC
Not quite - collada2gltf is still bundled only.
Comment 9 David Tardon 2015-02-02 15:18:25 UTC
Ah, you are right.